Bug Hunting Session
Bug 112270 - Find toolbar resets 'Other options' in the Find & Replace dialog
Summary: Find toolbar resets 'Other options' in the Find & Replace dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search Find-Toolbar Dialog-Remember-Settings
  Show dependency treegraph
 
Reported: 2017-09-07 09:17 UTC by lvm
Modified: 2019-09-25 08:44 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lvm 2017-09-07 09:17:38 UTC
Description:
Using Find resets 'Other options' in Find&Replace to default values.

Steps to Reproduce:
1. Open Find&Replace (^H)
2. Click on 'Other options'
3. Change an option, e.g. set 'Search in' to 'values'.

From now on Find&Replace will search in values in this and all subsequent searches even after Find&Replace dialogue is closed and reopened.

4. Perform a search using plain Find (^F)


Actual Results:  
Open Find&Replace->Other options: values are reset to defaults, 'Search in' is set to 'Formulae'


Expected Results:
Find should not reset 'Other options' in Find&Replace.

Also, optionally:
1. Find should use these 'Other options' when searching
2. 'Other options' should be accessible from the Find dialogue/toolbar



Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; rv:57.0) Gecko/20100101 Firefox/57.0 SeaMonkey/2.54a1
Comment 1 Xisco Faulí 2017-09-07 10:04:56 UTC
Hello,
Thanks for reporting this bug.
It looks like a duplicate of bug 98544

*** This bug has been marked as a duplicate of bug 98544 ***
Comment 2 lvm 2017-09-07 10:28:38 UTC
Bug 98544 is about keeping 'Other options' section expanded if anything was changed there - makes sense, but is not related to this bug. This bug is about Find resetting 'Other options' in Find&Replace to default values.
Comment 3 Thomas Lendo 2017-09-10 11:03:50 UTC
I can reproduce that a search with the Find toolbar sets "Other options" in the Find & Replace dialog back to default.

As the Find toolbar only searches like Find & Replace with default values, that should not change any settings in the Find & Replace dialog.

For me that's a bug. But I call the UX team, maybe there are some deeper insights necessary to understand this behavior.


Tested with Version: 6.0.0.0.alpha0+
Build-ID: fc674ad1b795d74a50cb792368ce7eaee74ca904
CPU-Threads: 4; Betriebssystem:Linux 4.10; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-09_00:34:37
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

Tested also with LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
There, "Regular expressions" and "Similarity search" sometimes is not set back. Haven't found a schema when it will be set back and when not.
Comment 4 Yousuf Philips (jay) (retired) 2017-10-03 10:18:51 UTC
(In reply to Thomas Lendo from comment #3)
> As the Find toolbar only searches like Find & Replace with default values,
> that should not change any settings in the Find & Replace dialog.

Yes i would expect the find toolbar not to change the saved settings of the find dialog.

Heiko, Stuart, Cor: What is your take on this?
Comment 5 Heiko Tietze 2017-10-05 07:44:44 UTC
Clearly a bug, user settings have to be persistent.
Comment 6 Cor Nouws 2017-10-05 16:28:34 UTC
now it becomes interesting... see bug 62601, complaining that Quick search (ctrl+f) is affected by invisible option from the search-and-replace dialog
Comment 7 Thomas Lendo 2017-10-05 18:35:59 UTC
(In reply to Cor Nouws from comment #6)
> now it becomes interesting... see bug 62601, complaining that Quick search
> (ctrl+f) is affected by invisible option from the search-and-replace dialog
Thanks, Cor. Is it likely that this bug is a result of fixing that bug in a way that it shouldn't have been fixed?
Comment 8 lvm 2017-10-06 05:15:50 UTC
(In reply to Cor Nouws from comment #6)
> now it becomes interesting... see bug 62601, complaining that Quick search
> (ctrl+f) is affected by invisible option from the search-and-replace dialog

And also bug 102506 about adding other options to plain find - personally I'd vote for this approach. Actually I believe that's how it was originally when find was a dialogue just like F&R until some bright and eager mind decided to turn it into a half-baked toolbar.
Comment 9 Yousuf Philips (jay) (retired) 2017-10-06 15:15:25 UTC
(In reply to lvm from comment #8)
> Actually I believe that's how it was originally
> when find was a dialogue just like F&R until some bright and eager mind
> decided to turn it into a half-baked toolbar.

Nope. From the time of OOo, there was always a find toolbar, though pressing ctrl+f brought up the dialog, and it always reset stuff in the f&r dialog.
Comment 10 QA Administrators 2018-10-07 03:05:39 UTC Comment hidden (obsolete)
Comment 11 lvm 2018-10-07 06:34:18 UTC
reproducible in 6.1.2.1 linux-32